Project

General

Profile

action #98198

[bot-ng] Fix auto-approve on updates without Incidents size:M

Added by dzedro about 2 months ago. Updated about 1 month ago.

Status:
Resolved
Priority:
High
Assignee:
Target version:
Start date:
2021-09-06
Due date:
% Done:

0%

Estimated time:

Description

MicroOS does not have Incidents and lsvpd is update for ppc64le only with incidentinstall.
Missing Incidents thus updates are not approved.

Suggestion

  • Hard-code packages for automatic approval
  • Add a new config option for automatically approved packages
  • Come up with a test case for this

Related issues

Copied to QA - action #98394: Fix MicroOS scheduling to have incidentsRejected2021-09-06

History

#1 Updated by jbaier_cz about 2 months ago

  • Target version set to Ready

#2 Updated by osukup about 2 months ago

it's two different corner cases.

1) MicroOS -> has only aggregate test set up in openQA --> so qam-openqa must be approved only with aggregate results

2) lspvd -> on another side has Incident tests but not aggregate as ve run most of the tests only on x86_64 and lspvd is ppc64le exclusive package

MicroOS case is more tricky because the whole workflow in maintenance is built around incident.
Single arch packages --> need lists of exceptions and extend approve command of bot-ng

arch specific packages -> question implemet exceptions list in approver or scheduler ?

#3 Updated by vpelcak about 2 months ago

  • Priority changed from Normal to High

I would like to increase priority here as there are updates pending approval in the queue.

#4 Updated by cdywan about 2 months ago

  • Description updated (diff)

#5 Updated by cdywan about 2 months ago

  • Copied to action #98394: Fix MicroOS scheduling to have incidents added

#6 Updated by cdywan about 2 months ago

  • Subject changed from [bot-ng] Fix auto-approve on updates without Incidents to [bot-ng] Fix auto-approve on updates without Incidents size:M
  • Status changed from New to Workable

#7 Updated by osukup about 2 months ago

dzedro wrote:

lsvpd is update for ppc64le only with incidentinstall.
Missing Aggregates thus updates are not approved.

Suggestion

  • Hard-code packages for automatic approval
  • Add a new config option for automatically approved packages
  • Come up with a test case for this

#8 Updated by osukup about 2 months ago

  • Status changed from Workable to Feedback
  • Assignee set to osukup

#9 Updated by osukup about 1 month ago

  • Status changed from Feedback to Resolved

Also available in: Atom PDF